summary refs log tree commit diff
path: root/etc
diff options
context:
space:
mode:
authorJune McEnroe <june@causal.agency>2025-12-22 18:19:51 +0000
committerJune McEnroe <june@causal.agency>2025-12-22 18:19:51 +0000
commitb6873ccca605720a7f25121393f60ad5346b9993 (patch)
tree4f135d13cab47e96a2d2aba2c0944a15c4f7957c /etc
parentDehtml pronoun fields (diff)
downloadsrc-b6873ccca605720a7f25121393f60ad5346b9993.tar.gz
src-b6873ccca605720a7f25121393f60ad5346b9993.zip
Let -n prevent posting
Diffstat (limited to '')
-rw-r--r--etc/pronouns/bot.sh23
1 files changed, 17 insertions, 6 deletions
diff --git a/etc/pronouns/bot.sh b/etc/pronouns/bot.sh
index c83ee347..b631fd40 100644
--- a/etc/pronouns/bot.sh
+++ b/etc/pronouns/bot.sh
@@ -8,6 +8,15 @@ if ! test -f access_token; then
 	exit 1
 fi
 
+post=true
+while getopts 'n' opt; do
+	case $opt in
+		(n) post=false;;
+		(?) exit 1;;
+	esac
+done
+shift $((OPTIND - 1))
+
 access_token=$(cat access_token)
 
 account_id=$(
@@ -47,12 +56,14 @@ for follower_id in $followers 112284333737697665; do
 	old_pronouns=$(cat $follower_id)
 	if [ "${pronouns}" != "${old_pronouns}" ]; then
 		text=$(printf '%s' "${pronouns}" | dehtml)
-		curl -Ss -X POST \
-			-H "Authorization: Bearer ${access_token}" \
-			-F visibility=unlisted \
-			--form-string \
-			"status=@${username} has changed pronouns to: ${text}" \
-			${Instance}/api/v1/statuses >/dev/null
+		if $post; then
+			curl -Ss -X POST \
+				-H "Authorization: Bearer ${access_token}" \
+				-F visibility=unlisted \
+				--form-string \
+				"status=@${username} has changed pronouns to: ${text}" \
+				${Instance}/api/v1/statuses >/dev/null
+		fi
 		printf '%s' "${pronouns}" >$follower_id
 	fi
 done
itle='2009-08-09 13:39:44 +0200'>2009-08-09cgit.c: allow repo.*-filter options to unset the current defaultLars Hjemli 2009-08-09Add support for repo.commit-filter and repo.source-filterLars Hjemli 2009-08-08Expose file extension in tree lists as class to allow nicer tree stylingMartin Szulecki 2009-08-08Introduce noplainemail option to hide email adresses from spambotsMartin Szulecki 2009-07-31ui-commit: add support for 'commit-filter' optionLars Hjemli 2009-07-31ui-tree: add support for source-filter optionLars Hjemli 2009-07-31ui-snapshot: use cgit_{open|close}_filter() to execute compressorsLars Hjemli 2009-07-31Add generic filter/plugin infrastructureLars Hjemli 2009-07-25Add support for mime type registration and lookupLars Hjemli 2009-07-25cgit.h: keep config flags sortedLars Hjemli 2009-07-25cgitrc.5.txt: document 'embedded' and 'noheader'Lars Hjemli 2009-07-25Add support for 'noheader' optionLars Hjemli 2009-07-25cgitrc.5.txt: document 'head-include'Lars Hjemli 2009-07-25ui-blob: return 'application/octet-stream' for binary blobsLars Hjemli 2009-07-25ui-plain: Return 'application/octet-stream' for binary files.Remko Tronçon 2009-06-11use cgit_httpscheme() for atom feedDiego Ongaro 2009-06-11add cgit_httpscheme() -> http:// or https://Diego Ongaro 2009-06-07Return http statuscode 404 on unknown branchLars Hjemli 2009-06-07Add head-include configuration option.Mark Lodato 2009-03-15CGIT 0.8.2.1Lars Hjemli 2009-03-15Fix doc-related glitches in Makefile and .gitignoreLars Hjemli 2009-03-15ui-snapshot: avoid segfault when no filename is specifiedLars Hjemli 2009-03-15fix segfault when displaying empty blobsEric Wong 2009-02-19Add support for HEAD requestsLars Hjemli 2009-02-19Add support for ETag in 'plain' viewLars Hjemli 2009-02-12ui-tree: escape ascii-text properly in hexdump viewLars Hjemli 2009-02-12Makefile: add doc-related targetsLars Hjemli